#!/usr/bin/env python
# $Jeannot: setup.py,v 1.9 2005/01/28 15:12:09 js Exp $
#
# TNC python module setup
# To install the module in the current directory, use:
#  python setup.py build_ext --inplace
# To install globaly, use:
#  python setup.py install

# Setup script provided by eric jones <eric@enthought.com>

from distutils.core import setup, Extension

module1 = Extension('moduleTNC',
                    sources = ['tnc.c', 'moduleTNC.c'])

setup (name = 'tnc',
       version = '1.3',
       description = 'Non-linear constrained optimization package',
       py_modules = ['tnc'],
       ext_modules = [module1],
       author="Jean-Sebastien Roy",
       author_email="js@jeannot.org",
       url="http://www.jeannot.org/~js/code/index.en.html#TNC")
